Subject: Re: help ?

From: [email-masked]
Date: Sat, 7 Sep 1996 09:45:58 +0530

>Date: Thu, 29 Aug 1996 10:33:01 -0400 (EDT)
>From: Dale Scheetz <ren!polaris.net!dwarf>
>Subject: Re: help ?
>
>On Thu, 29 Aug 1996 [email-masked] wrote:
>
>> Hi,
>> My pentium is not booting after I installed Debian 1.1 (kernel 2.0.0).  The
>> system hangs after configuring the serial ports.  Here is what the last screen
>> looks like.
>> 
>> I am not sure what other information would be useful, but here are some of the
>> hardware details.
>> 
>> Pentium 100 MHz
>> Two SCSI HDDs : SEAGATE ST5 1080N (1030 Mb each)
>> using Future Domain TMC-3260 (PCI) controller.

	(now trying Future Domain TMC-950)

>> One 3.5" FDD
>> One ATAPI CDROM
>> NE2000 ethernet
>> Monitor is 14" SVGA colour
>> 
>Looks like you have no driver for the Future Domain controler in your
>kernel. Look at the special kernels and see if there is one that will
>work. If not, let me know, and I will try to build you a custom kernel.
>
>Luck,
>
>Dwarf

I tried switching controllers.  First, I switched to a
BusLogic Flashpoint; this was not detected though I typed "linux
buslogic=[iobase]" at the "boot:" prompt as directed.  Second, I tried Future
Domain TMC-950, which does not use the PCI bus.  (This is mentioned in the hardware
list obtained by pressing F4 at the boot: prompt).  I tried "linux
tmc8xx=0xca00,10" (membase,irq was asked for).  This time, I got

TMC-8xx/TMC-950 options: ARBITRATE SLOW_HANDSHAKE FAST32
PPA: unable to initialize controller at 0x378, error 2
scsi 0: TMC-8xx/TMC-950 at irq 10, adress 0xCA00
scsi: 1 host
scsi: detected total
lance.c: PCI bios is present, checking for devices...

There are 2 disks, both of which are detected by MS-DOS; so there is no problem
with the hardware.  I tried partitioning the detected scsi disk, but got
this response.

"No hard disk drives could be found.  Make sure they are cabled correctly and are
turned on before the system is started.  You may have to change driver settings
when you start the system with a command at the "boot:" prompt, or you may have
to load a driver that is in a loadable module to solve this problem."
Also, what does the error message "PPA: ...controller at 0x378..." mean?  I do
need that port for the printer.

I had no such trouble when installing Debian 0.93 (a.out) on the Future Domain.  
I hope at least the TMC-950 is supported; else, I am planning to switch to 
IDE because the alternative is to switch the OS to MS-DOS, which is not much of 
an alternative.  Given my ftp connections and my knowledge of computers, it is 
simpler to switch controllers than to try something fancy.

Thanks a lot for the help.
Shankar.

D. Shankar                               Ph.:   (91)(832) 226253-56 ext 224
Physical Oceanography Division,          Fax:   (91)(832) 223340/221360
National Institute of Oceanography,      email: [email-masked]
Dona Paula, Goa 403 004, India.